Debian Bug report logs - #533812
freehdl: non-standard gcc/g++ used for build (gcc-4.3)

version graph

Package: freehdl; Maintainer for freehdl is José L. Redrejo Rodríguez <jredrejo@debian.org>; Source for freehdl is src:freehdl.

Reported by: Matthias Klose <doko@cs.tu-berlin.de>

Date: Sat, 20 Jun 2009 14:21:37 UTC

Severity: serious

Tags: patch, sid, wheezy

Merged with 594278

Found in version freehdl/0.0.7-1

Fixed in version freehdl/0.0.7-1.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to jredrejo@debian.org (José L. Redrejo Rodríguez):
Bug#533812; Package freehdl. (Sat, 20 Jun 2009 14:21:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
New Bug report received and forwarded. Copy sent to jredrejo@debian.org (José L. Redrejo Rodríguez). (Sat, 20 Jun 2009 14:21:40 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: maintonly@bugs.debian.org
Subject: freehdl: non-standard gcc/g++ used for build (gcc-4.3)
Date: Sat, 20 Jun 2009 16:12:44 +0200 (MEST)
Package: freehdl
Severity: important
User: debian-gcc@lists.debian.org
Usertags: non-standard-compiler, gcc-4.3

This package builds with a non standard compiler version; please check
if this package can be built with the default version of gcc/g++.

Please keep this report open until the package uses the default
compiler version for the package build.

The severity of this report is likely to be raised before the release.




Severity set to 'serious' from 'important' Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Thu, 31 Mar 2011 13:33:16 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sat, 02 Apr 2011 17:24:05 GMT) Full text and rfc822 format available.

Merged 533812 594278. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sat, 02 Apr 2011 17:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, José L. Redrejo Rodríguez <jredrejo@debian.org>:
Bug#533812; Package freehdl. (Sat, 10 Sep 2011 16:48:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to José L. Redrejo Rodríguez <jredrejo@debian.org>. (Sat, 10 Sep 2011 16:48:15 GMT) Full text and rfc822 format available.

Message #16 received at 533812@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 533812@bugs.debian.org, 629731@bugs.debian.org
Subject: freehdl: diff for NMU version 0.0.7-1.1
Date: Sat, 10 Sep 2011 18:47:43 +0200
[Message part 1 (text/plain, inline)]
tags 533812 + patch
tags 533812 + pending
tags 629731 + patch
tags 629731 + pending
thanks

Dear maintainer,

I've prepared an NMU for freehdl (versioned as 0.0.7-1.1) and
uploaded it to DELAYED/5. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - PGP/GPG key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Bettina Wegner: Erew Schel Schoschanim
[freehdl-0.0.7-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 10 Sep 2011 16:48:16 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 10 Sep 2011 16:48:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, José L. Redrejo Rodríguez <jredrejo@debian.org>:
Bug#533812; Package freehdl. (Thu, 15 Sep 2011 20:54:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to José L. Redrejo Rodríguez <jredrejo@debian.org>. (Thu, 15 Sep 2011 20:54:33 GMT) Full text and rfc822 format available.

Message #25 received at 533812@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 533812@bugs.debian.org, 629731@bugs.debian.org
Subject: freehdl: real diff for NMU version 0.0.7-1.1
Date: Thu, 15 Sep 2011 22:53:09 +0200
[Message part 1 (text/plain, inline)]
Here's the final nmudiff, uploaded right now.
(The first version was auto-rejected because of
'package-contains-info-dir-file usr/share/info/dir.gz'.)

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - PGP/GPG key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Chavela Vargas: Cruz De Olvido
[freehdl-0.0.7-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Thu, 15 Sep 2011 21:07:54 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@cs.tu-berlin.de>:
Bug acknowledged by developer. (Thu, 15 Sep 2011 21:09:23 GMT) Full text and rfc822 format available.

Message #30 received at 533812-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 533812-close@bugs.debian.org
Subject: Bug#533812: fixed in freehdl 0.0.7-1.1
Date: Thu, 15 Sep 2011 21:02:41 +0000
Source: freehdl
Source-Version: 0.0.7-1.1

We believe that the bug you reported is fixed in the latest version of
freehdl, which is due to be installed in the Debian FTP archive:

freehdl_0.0.7-1.1.diff.gz
  to main/f/freehdl/freehdl_0.0.7-1.1.diff.gz
freehdl_0.0.7-1.1.dsc
  to main/f/freehdl/freehdl_0.0.7-1.1.dsc
freehdl_0.0.7-1.1_i386.deb
  to main/f/freehdl/freehdl_0.0.7-1.1_i386.deb
libfreehdl0-dev_0.0.7-1.1_i386.deb
  to main/f/freehdl/libfreehdl0-dev_0.0.7-1.1_i386.deb
libfreehdl0_0.0.7-1.1_i386.deb
  to main/f/freehdl/libfreehdl0_0.0.7-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 533812@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated freehdl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 10 Sep 2011 18:17:56 +0200
Source: freehdl
Binary: freehdl libfreehdl0-dev libfreehdl0
Architecture: source i386
Version: 0.0.7-1.1
Distribution: unstable
Urgency: low
Maintainer: José L. Redrejo Rodríguez <jredrejo@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 freehdl    - VHDL simulator for Linux
 libfreehdl0 - VHDL simulator for Linux (shared libraries)
 libfreehdl0-dev - VHDL simulator for Linux (development headers)
Closes: 533812 629731
Changes: 
 freehdl (0.0.7-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "FTBFS: build-dependency not installable: g++-4.3" and "non-standard
     gcc/g++ used for build (gcc-4.3)": drop g++-4.3 in debian/control and CXX
     in debian/rules.
     Closes: #629731, #533812
     LP: #745544, #749133
   * debian/rules: remove usr/share/info/dir.gz (ftp-master autoreject reason).
Checksums-Sha1: 
 286c4523fa351377b5281de5efb488b1ca193595 1726 freehdl_0.0.7-1.1.dsc
 815d738436517674447df53c4e5039a592cabffe 3735 freehdl_0.0.7-1.1.diff.gz
 80535e1da29611a57f1b708ed7afc88f546b9fee 507146 freehdl_0.0.7-1.1_i386.deb
 d6c33343f9baa37367db9011b646e25644f28022 1000726 libfreehdl0-dev_0.0.7-1.1_i386.deb
 a1baf54ae79f8256281f964c5a9d69a38139bfe8 751420 libfreehdl0_0.0.7-1.1_i386.deb
Checksums-Sha256: 
 47c00efaf7bb33651687026eb384ee7898651ddd8db3de14ba85c0ca7e1c27c0 1726 freehdl_0.0.7-1.1.dsc
 a74789148647afda8378f9ca66c3ec5ae97dbfbac16c9defbf54c55b8470138c 3735 freehdl_0.0.7-1.1.diff.gz
 2fd166388791dc6528e75a9cd05de3111780b319972d68fa15e5aee425152e09 507146 freehdl_0.0.7-1.1_i386.deb
 8b14b298f555f7d47befc8edd0ad0b3b2fec8ea96e5e344be5cd09258578f2ae 1000726 libfreehdl0-dev_0.0.7-1.1_i386.deb
 1dd5799022e8edb70240943b76023f5924679caa1bdfe44e8ff016c3c74656e0 751420 libfreehdl0_0.0.7-1.1_i386.deb
Files: 
 e8ac1f26bc4fd8dc0733c807f71b66f7 1726 electronics optional freehdl_0.0.7-1.1.dsc
 fc1736365dcb894a73b499512e461abf 3735 electronics optional freehdl_0.0.7-1.1.diff.gz
 8c491a04e16768d21ecc9e55404254f9 507146 electronics optional freehdl_0.0.7-1.1_i386.deb
 5439670ba0219d7eb3ef70be530ee8e0 1000726 libdevel optional libfreehdl0-dev_0.0.7-1.1_i386.deb
 b18cb0f62e3af3b45f7baaedd560e5a7 751420 libs optional libfreehdl0_0.0.7-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOcmSoAAoJELs6aAGGSaoGzw4P/RQwAKghhYJ2yHgBnlpvUdZP
u+vwar66Y62+LbJ2btMqBL1Q7E3vEF8ZUNBs4M5xO3icIu6Wb4UsqRYGyUIGX79Y
5TJt3NujQ5klXVHpDSX1q86BhDAz+ax6wRHxEPf5zoVNprVFyMh0YBzUXox9U0gQ
7Heuz3URWYXzHbdMbXOVvY+zHzeXy4O7czdEEU30HNscqZZ2lVvpuQsnpbHKRwGP
qKcZ+cp/ZKCMu5VjHfLDnrhiNl8hnSmc5M9JKjt2aCxoo0y4vER2/mmxH+3wWBgb
7lt1M1uNpTb2m98rOSxWPB0Bn/UbN6DokfMoNaEm2wZMrNfMQVlHY4TLlmiacG4U
bwXUPnvKNpJq9LQEOf5z2g/D2DX8bh9Z/oMwWdzFBT29Z5MD3TpeziLY3aRtkW3c
Fb+ru2ZL4gA+Sj1aPPBGFSC2VA8vXwPKWVOhL2TEemf6ts7SUVhrFvNaThdmjBta
ifBRdUjIYL8d6+SrbFj/2x9QwCkz23CMZsivJKfH2/Xsdmu4zJwlcSbB2sfU5HPI
2kfceI50uqrP/pZnH0yGbRO6N+Xvxop/XQ9t7TlRWRR/uqeTZMSzDI6H8S06MCsQ
BqPLe8qDSa5toV1SUukp/RwAlUd3Pze+vKCYdFzKpYIKTspgWPi4PC49tI1svmJj
euBviifOdXtFGqf6hz/7
=EZpL
-----END PGP SIGNATURE-----





Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Thu, 15 Sep 2011 21:10:04 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Thu, 15 Sep 2011 21:12:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:46:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:52:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.